#!@GENTOO_PORTAGE_EPREFIX@/bin/bash
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

source "@GENTOO_PORTAGE_EPREFIX@"/sbin/functions.sh || exit 1

if [[ ${EPREFIX/\//} == "" ]] && [[ ${EUID} != "0" ]] ; then
	eerror "$0: must be root."
	exit 1
fi

usage() {
echo "usage: env-update.sh

note:
      This utility generates @GENTOO_PORTAGE_EPREFIX@/etc/profile.env and @GENTOO_PORTAGE_EPREFIX@/etc/csh.env
      from the contents of @GENTOO_PORTAGE_EPREFIX@/etc/env.d/
"
	exit 1
}

export SVCDIR="${svcdir}"

# Only update if files have actually changed
if [[ $1 == "-u" ]] ; then
	is_older_than "${svcdir}/envcache" /etc/env.d && exit 0
	shift
fi

if [[ $# != "0" ]] ; then
	usage
else
	"@GENTOO_PORTAGE_EPREFIX@"/bin/gawk \
		-f "@GENTOO_PORTAGE_EPREFIX@"/lib/rcscripts/awk/functions.awk \
		-f "@GENTOO_PORTAGE_EPREFIX@"/lib/rcscripts/awk/genenviron.awk
fi

# vim:ts=4
