#!/usr/bin/env bash

# yay, this dir is not the top-dir, so no .hg dir not to copy

REV=$(hg parent --template '{rev}')
TMPDIR=/var/tmp/baselayout-prefix.$$/baselayout-prefix-1.12.5.${REV}

MODS=$(hg status . | wc -l)

if [[ ${MODS} != 0 ]] ; then
	echo "source tree isn't clean, cowardly refusing to create tarball"
	exit 1
fi

mkdir -p "${TMPDIR}"

rsync -a . "${TMPDIR}"/

pushd "${TMPDIR}"/gnulib > /dev/null
aclocal -Iglm4
autoconf --force
automake --add-missing --copy
popd > /dev/null

# not sure if --xz is a good idea, baselayout-prefix is necessary quite
# early in the bootstrap process
tar -jcf ${TMPDIR##*/}.tar.bz2 -C ${TMPDIR%/*} ${TMPDIR##*/}

echo "created ${TMPDIR##*/}.tar.bz2"

rm -Rf "${TMPDIR%/*}"
